# UI Suite USWDS

## Contents of this file

- Introduction
- Requirements
- Installation
- Configuration
- Maintainers
- Shoutouts

## Introduction

A site-builder friendly [USWDS](https://designsystem.digital.gov/) theme for Drupal, using the [UI Suite](https://www.drupal.org/project/ui_suite).
Use USWDS parts (components, helpers, utilities and layouts) directly from
Drupal backend interface (layout builder, manage display, views, blocks, etc.)
in a low-code way.

# How it works

![Overview](doc/images/schema.png)

## Components chapter implemented with [UI Patterns](https://www.drupal.org/project/ui_patterns)

Each component is a folder in templates/pattern/.

You can browse the pattern libraries directly inside Drupal: /patterns; for
example, the 'card' pattern is available here: /patterns/card.

Thanks to the ui_patterns ecosystem, patterns are automatically available
directly for site building in many Drupal entities, as
[layout plugins](https://ui-patterns.readthedocs.io/en/8.x-1.x/content/layout-plugin.html),
[views row plugins](https://ui-patterns.readthedocs.io/en/8.x-1.x/content/views.html),
[field formatter plugins](https://www.drupal.org/project/ui_patterns_field_formatters/),
[views styles plugins](https://www.drupal.org/project/ui_patterns_views_style)...

## Utilities chapter implemented with [UI Styles](https://www.drupal.org/project/ui_styles)

Utilities are implemented as styles in ui_suite_uswds.ui_styles.yml

You can browse the styles libraries directly inside Drupal: /styles.

The styles are automatically available for site building inside layout builder's
components (blocks) & sections (layouts).

## Requirements

This theme requires Drupal core >= 10.0.

TODO add modules needed

## Installation

Install as you would normally install a contributed Drupal theme. See
https://www.drupal.org/node/1897420 for further information.


## Maintainers

Current maintainers:
- Stephen Mustgrave ([@smustgrave](https://www.drupal.org/u/smustgrave))

## Shoutouts

The developers of [USWDS Base](https://www.drupal.org/project/uswds_base)
- Initial work for forked from that modules, with maintainers permission.
